/* glprsm/rsm_defect.c */

/*----------------------------------------------------------------------
-- This file is a part of the GLPK package.
--
-- Copyright (C) 2000, 2001 Andrew Makhorin <mao@mai2.rcnet.ru>,
--                          Department for Applied Informatics,
--                          Moscow Aviation Institute, Moscow, Russia.
--                          All rights reserved.
--
-- This code is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This software is distributed "as is" in the hope that it will be
-- useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-- General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
----------------------------------------------------------------------*/

#include "glprsm.h"

/*----------------------------------------------------------------------
-- rsm_defect - determine defect of current basis solution.
--
-- *Synopsis*
--
-- #include "glprsm.h"
-- int rsm_defect(RSM *rsm);
--
-- *Description*
--
-- The rsm_defect routine returns the defect of the current basis
-- solution, which is number of fixed basis variables (should note that
-- it is not a defect of the basis matrix!). */

int rsm_defect(RSM *rsm)
{     int m = rsm->m, i, def = 0;
      for (i = 1; i <= m; i++)
         if (rsm->type[rsm->indb[i]] == LP_FX) def++;
      return def;
}

/* eof */
